QGIS Application - Bug report #10655
Race condition in QgsCredentials
2014-06-20 02:00 AM - Martin Dobias

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19054
Description

If several threads ask for credentials at once, some threads may not get the cached credentials.

Associated revisions

Revision 2a4684a2 - 2014-06-20 12:20 PM - Martin Dobias
Fix #10655 (race condition in QgsCredentials)
Example of race condition during rendering:

Threads 1 and 2 call get(), it checks that there are cached credentials.
Thread 1 takes the cached credentials, thread 2 will get no data -> will request credentials in dialog

Revision f71fad37 - 2014-06-21 05:37 AM - Nyall Dawson

[composer] Always default attribute tables to show all visible features (fix #10655)

History

#1 - 2014-06-20 02:01 AM - Martin Dobias

- Affected QGIS version changed from 2.2.0 to master
- Target version set to Version 2.4

#2 - 2014-06-20 03:22 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"2a4684a28d4c76f72f35edb3fb231ba0ca9d56d9".

#3 - 2014-06-20 10:17 PM - Nyall Dawson

Sorry - had the wrong issue number when | pushed my commit - it should have been 10665.
